Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.exception
Class MissingConnectionPropertiesException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              portlets.compoze.groupware.exception.GroupwareException
                  portlets.compoze.groupware.exception.ConnectionException
                      portlets.compoze.groupware.exception.MissingConnectionPropertiesException

All Implemented Interfaces:
  java.io.Serializable

public class MissingConnectionPropertiesException
extends ConnectionException
implements java.io.Serializable

This exception is thrown when an error occurs while connecting to an account that is missing properties.

See Also:
  `Account`, Serialized Form

Constructor Summary
`MissingConnectionPropertiesException(Account account, java.lang.Exception ee, ConnectionProperty[] props)` Constructor.

Method Summary
`ConnectionProperty[]` | `getConnectionProperties()` Gets the missing connection properties.

Methods inherited from class portlets.compoze.groupware.exception.ConnectionException
`getAccount`

Methods inherited from class portlets.compoze.groupware.exception.GroupwareException
`getNestedException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MissingConnectionPropertiesException

    public MissingConnectionPropertiesException(Account account,
                                                java.lang.Exception ee,
                                                ConnectionProperty[] props)

  Constructor.

Parameters:
  `account` - the account (may not be `null`)
  `ee` - the exception
  `props` - the missing connection properties

Method Detail

### getConnectionProperties

    public ConnectionProperty[] getConnectionProperties()

  Gets the missing connection properties.

  Returns:
    an array of missing connection properties

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.